> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users.md).

# Manage Users

You can manage PostgreSQL users in your cluster using the <code class="expression">space.vars.ionos\_cloud</code> API. Programmatically create, list, retrieve, update, and remove users by sending requests to the cluster's user management endpoint. The following APIs covers the available operations and provides example requests and responses for each.

## Quick links

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>List all Users</strong></mark></td><td>Learn how to list all PostgreSQL users in your cluster.</td><td><a href="/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users/list-all-users.md">List all Users</a></td></tr><tr><td><mark style="color:blue;"><strong>List System Users</strong></mark></td><td>Learn how to list all PostgreSQL system users in your cluster.</td><td><a href="/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users/list-system-users.md">List System Users</a></td></tr><tr><td><mark style="color:blue;"><strong>Retrieve a Single User</strong></mark></td><td>Learn how to retrieve details for a specific PostgreSQL user.</td><td><a href="/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users/retrieve-a-single-user.md">Retrieve a Single User</a></td></tr><tr><td><mark style="color:blue;"><strong>Create a User</strong></mark></td><td>Learn how to create a new PostgreSQL user.</td><td><a href="/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users/create-a-user.md">Create a User</a></td></tr><tr><td><mark style="color:blue;"><strong>Remove a User</strong></mark></td><td>Learn how to remove a PostgreSQL user from your cluster.</td><td><a href="/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users/remove-a-user.md">Remove a User</a></td></tr><tr><td><mark style="color:blue;"><strong>Change the Login Password</strong></mark></td><td>Learn how to change the login password for a PostgreSQL user.</td><td><a href="/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users/change-login-password.md">Change the Login Password</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/postgresql/api/v1-api/users-and-databases/manage-users.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
